Contenu | Rechercher | Menus

Annonce

T-shirt Seiche Cosmic, Série limitée

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.10
T-shirt Ubuntu-FR « Seiche Cosmique » en série limitée ! Prix spécial pré-vente (15€) jusqu'au 4 novembre 2018.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 13/06/2018, à 00:59

bartalaba

virer postfix-mysql

bonjour ,
j'ai tenté  de désinstaller postfix et depuis j'ai ce message qui revient a chaque manip d'installe :

Le paquet « postfix » n'est pas installé, et ne peut donc être supprimé
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 postfix-mysql : Dépend: postfix (= 3.3.0-1) mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).

merci pour votre aide


Modération : merci d'utiliser les balises code (explications ici).

Dernière modification par cqfd93 (Le 13/06/2018, à 08:14)

Hors ligne

#2 Le 13/06/2018, à 13:15

bruno

Re : virer postfix-mysql

Bonjour,

As-tu essayé la commande suggérée ?

sudo apt --fix-broken install

En ligne

#3 Le 13/06/2018, à 17:05

bartalaba

Re : virer postfix-mysql

bruno a écrit :

Bonjour,

As-tu essayé la commande suggérée ?

sudo apt --fix-broken install

oui , ça ne résous rien

Hors ligne

#4 Le 13/06/2018, à 22:14

bruno

Re : virer postfix-mysql

Dans ce cas :

sudo apt purge postfix*

En ligne

#5 Le 15/06/2018, à 02:20

bartalaba

Re : virer postfix-mysql

bonjour , ca marche toujour pas , voila ce que ca donne :

sudo apt purge postfix* 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Note : sélection de postfixadmin pour l'expression rationnelle « postfix* »
Note : sélection de postfix pour l'expression rationnelle « postfix* »
Note : sélection de postfix-pcre pour l'expression rationnelle « postfix* »
Note : sélection de postfix-mysql pour l'expression rationnelle « postfix* »
Note : sélection de postfix-sqlite pour l'expression rationnelle « postfix* »
Note : sélection de postfix-ldap pour l'expression rationnelle « postfix* »
Note : sélection de postfix-cdb pour l'expression rationnelle « postfix* »
Note : sélection de postfix-doc pour l'expression rationnelle « postfix* »
Note : sélection de postfix-lmdb pour l'expression rationnelle « postfix* »
Note : sélection de postfix-gld pour l'expression rationnelle « postfix* »
Note : sélection de postfix-policyd-spf-python pour l'expression rationnelle « postfix* »
Note : sélection de postfix-policyd-spf-perl pour l'expression rationnelle « postfix* »
Note : sélection de postfix-pgsql pour l'expression rationnelle « postfix* »
Le paquet « postfix-cdb » n'est pas installé, et ne peut donc être supprimé
Le paquet « postfix-doc » n'est pas installé, et ne peut donc être supprimé
Le paquet « postfix-ldap » n'est pas installé, et ne peut donc être supprimé
Le paquet « postfix-pgsql » n'est pas installé, et ne peut donc être supprimé
Le paquet « postfix-gld » n'est pas installé, et ne peut donc être supprimé
Le paquet « postfix-lmdb » n'est pas installé, et ne peut donc être supprimé
Le paquet « postfix-policyd-spf-perl » n'est pas installé, et ne peut donc être supprimé
Le paquet « postfix-policyd-spf-python » n'est pas installé, et ne peut donc être supprimé
Le paquet « postfix-sqlite » n'est pas installé, et ne peut donc être supprimé
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  libdate-manip-perl
Veuillez utiliser « sudo apt autoremove » pour le supprimer.
Les paquets suivants seront ENLEVÉS :
  postfix* postfix-mysql* postfix-pcre* postfixadmin*
0 mis à jour, 0 nouvellement installés, 4 à enlever et 35 non mis à jour.
5 partiellement installés ou enlevés.
Après cette opération, 122 ko d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 114587 fichiers et répertoires déjà installés.)
Suppression de postfix-mysql (3.3.0-1) ...
/var/lib/dpkg/info/postfix-mysql.prerm: line 18: /usr/share/postfix/postinst.functions: No such file or directory
dpkg: erreur de traitement du paquet postfix-mysql (--remove) :
 installed postfix-mysql package pre-removal script subprocess returned error exit status 1
/var/lib/dpkg/info/postfix-mysql.postinst: line 28: /usr/share/postfix/postinst.functions: No such file or directory
dpkg: error while cleaning up:
 installed postfix-mysql package post-installation script subprocess returned error exit status 1
Des erreurs ont été rencontrées pendant l'exécution :
 postfix-mysql
E: Sub-process /usr/bin/dpkg returned an error code (1)

merci pour votre aide

Hors ligne

#6 Le 15/06/2018, à 07:52

bruno

Re : virer postfix-mysql

Allons- y comme des brutes alors :

sudo dpkg --force-all --purge postfix-mysql

Mais ce n'est pas normal d'avoir ce genre de problèmes.Pour moi c'est dû à l'utilisation de dépôts non officiels ou à la suppression manuelle de fichiers sytème.

En ligne